curl --request POST \
--url https://api.octen.ai/v1/grounded-generation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"modality": "image",
"prompt": "Ronaldo lifting the World Cup trophy, stadium lights",
"model": "google/gemini-3-pro-image",
"aspect_ratio": "16:9"
}
'{
"request_id": "20260924020604287FV3DLUK7ZX",
"generation_id": "mm-3ca3c4ff37c546b6b59f2e9cde09f2f6",
"modality": "image",
"status": "queued",
"created_at": 1790215572
}{
"code": 400,
"msg": "Unsupported multimodal model.",
"request_id": "req_abc123def456"
}{
"code": 401,
"msg": "Invalid API Key",
"request_id": "req_abc123def456"
}{
"code": 403,
"msg": "Insufficient balance in account",
"request_id": "req_abc123def456"
}{
"code": 429,
"msg": "Exceeding the rate limit",
"request_id": "req_abc123def456"
}{
"code": 500,
"msg": "Internal error",
"request_id": "req_abc123def456"
}Grounded Generation
Generates an image or a video from a text prompt, grounded in reference material found by search.
curl --request POST \
--url https://api.octen.ai/v1/grounded-generation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"modality": "image",
"prompt": "Ronaldo lifting the World Cup trophy, stadium lights",
"model": "google/gemini-3-pro-image",
"aspect_ratio": "16:9"
}
'{
"request_id": "20260924020604287FV3DLUK7ZX",
"generation_id": "mm-3ca3c4ff37c546b6b59f2e9cde09f2f6",
"modality": "image",
"status": "queued",
"created_at": 1790215572
}{
"code": 400,
"msg": "Unsupported multimodal model.",
"request_id": "req_abc123def456"
}{
"code": 401,
"msg": "Invalid API Key",
"request_id": "req_abc123def456"
}{
"code": 403,
"msg": "Insufficient balance in account",
"request_id": "req_abc123def456"
}{
"code": 429,
"msg": "Exceeding the rate limit",
"request_id": "req_abc123def456"
}{
"code": 500,
"msg": "Internal error",
"request_id": "req_abc123def456"
}Authorizations
Bearer token used for request authentication. Alternatively, you can send the API key in the x-api-key header. Note: A payment method is required to use the API.
Body
Request body for the Grounded Generation API.
The type of output to generate.
image, video The text description of what to generate.
1 - 8000The model to use. When omitted, the model default applies.
google/gemini-3-pro-image, minimax/hailuo-3 Aspect ratio of the output.
16:9, 1:1, 9:16 Video length in seconds. Applies when modality is video. Values outside the allowed range are adjusted to the nearest bound.
5 <= x <= 10Response
Successful grounded generation response. The task starts in queued.
Unique task id, used to retrieve the result.
The type of output this task generates.
image, video Task state.
queued Unix timestamp in seconds when the task was created.
Unique identifier for the request.
Was this page helpful?